# Remove an integration key

`DELETE /v1/integrations/{integration_id}`

Remove an integration key. Workspaces that used a removed Hugging Face
token move to the default; partner sends need a new key.

Needs `integrations:write` and Contributor or above on the organization.

- Base URL: `https://junction-api.qualiastudios.dev`
- Authentication: an API key in the `X-API-Key` header, or `Authorization: Bearer …`

## Parameters

- `integration_id` (path, string (uuid), required)

## Responses

- `200` Successful Response: `application/json` `IntegrationDeleteResponse`
- `401` Invalid or missing API key: `application/json` `ErrorResponse`
- `403` Missing integrations:write, or a Viewer's key: `application/json` `ErrorResponse`
- `404` Not found or access denied: `application/json` `ErrorResponse`
- `422` Validation Error: `application/json` `HTTPValidationError`

## Schemas

```yaml
IntegrationDeleteResponse:
  properties:
    id:
      type: string
      format: uuid
      description: The removed key's ID
    deleted:
      type: boolean
      description: Whether the key was removed
  type: object
  required:
    - id
    - deleted
  title: IntegrationDeleteResponse
  description: Response for removing an integration key.
ErrorResponse:
  properties:
    detail:
      type: string
      description: Error message describing what went wrong
  type: object
  required:
    - detail
  title: ErrorResponse
  description: Standard error response.
HTTPValidationError:
  properties:
    detail:
      items:
        $ref: "#/components/schemas/ValidationError"
      type: array
  type: object
  title: HTTPValidationError
ValidationError:
  properties:
    loc:
      items:
        type:
          - string
          - integer
      type: array
      title: Location
    msg:
      type: string
      title: Message
    type:
      type: string
      title: Error Type
    input: {}
    ctx:
      type: object
      title: Context
  type: object
  required:
    - loc
    - msg
    - type
  title: ValidationError
```
